## groovy.ui
Class HistoryRecord

Field Summary
`String` | `allText`
`Throwable` | `exception`
`Object` | `result`
`String` | `scriptName`
`int` | `selectionEnd`
`int` | `selectionStart`

Constructor Summary
`HistoryRecord()`

Method Summary
`String` | `getTextToRun(boolean useSelection)`
`Object` | `getValue()`

Constructor Detail

### HistoryRecord

    HistoryRecord()

Method Detail

### getTextToRun

    public String getTextToRun(boolean useSelection)

### getValue

    public Object getValue()